Skip to main content
GET
List Benefit Grants

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

customer_id

Filter by customer ID. The customer ID.

external_customer_id

Filter by customer external ID. The customer external ID.

is_granted
boolean | null

Filter by granted status. If true, only granted benefits will be returned. If false, only revoked benefits will be returned.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
granted_at,
-granted_at,
revoked_at,
-revoked_at

Response

Successful Response

items
BenefitGrant · object[]
required
pagination
Pagination · object
required